//From http://www.mkyong.com/java/how-to-detect-os-in-java-systemgetpropertyosname/

package smart_gs.util;
public class OperatingSystem{
 
	public static boolean isWindows(){

		String os = System.getProperty("os.name").toLowerCase();
		//windows
		return (os.indexOf( "win" ) >= 0); 

	}

	public static boolean isMac(){

		String os = System.getProperty("os.name").toLowerCase();
		//Mac
		return (os.indexOf( "mac" ) >= 0); 

	}

	public static boolean isUnix(){

		String os = System.getProperty("os.name").toLowerCase();
		//linux or unix
		return (os.indexOf( "nix") >=0 || os.indexOf( "nux") >=0);

	}
	
	public static boolean isX86(){
		String arch = System.getProperty("os.arch").toLowerCase();
		return (arch.indexOf("x86") >=0||arch.indexOf("i386") >=0); // a.k.a i386
	}
	
	public static boolean isAmd64(){
		String arch = System.getProperty("os.arch").toLowerCase();
		return (arch.indexOf("amd64") >=0); // a.k.a x86-64 or Intel 64
	}
}
